Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant
Class UnsupportedAttributeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--org.apache.tools.ant.BuildException
                              |
                              +--org.apache.tools.ant.UnsupportedAttributeException

All Implemented Interfaces:
  java.io.Serializable

public class UnsupportedAttributeException
extends BuildException

Used to report attempts to set an unsupported attribute

Since:
  Ant 1.6.3
See Also:
  Serialized Form

Constructor Summary
`UnsupportedAttributeException(java.lang.String msg, java.lang.String attribute)` Constructs an unsupported attribute exception.

Method Summary
`java.lang.String` | `getAttribute()` Get the attribute that is wrong.

Methods inherited from class org.apache.tools.ant.BuildException
`getCause, getException, getLocation, printStackTrace, printStackTrace, printStackTrace, setLocation, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsupportedAttributeException

    public UnsupportedAttributeException(java.lang.String msg,
                                         java.lang.String attribute)

  Constructs an unsupported attribute exception.

Parameters:
  `msg` - The string containing the message.
  `attribute` - The unsupported attribute.

Method Detail

### getAttribute

    public java.lang.String getAttribute()

  Get the attribute that is wrong.

  Returns:
    the attribute name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.